## appstream-glib 0.8.1

=== debian/changelog ===
appstream-glib (0.8.1-1) unstable; urgency=medium

  * New upstream version: 0.8.1
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Mon, 22 Aug 2022 20:54:16 +0200

appstream-glib (0.8.0-1) unstable; urgency=medium

  * New upstream version: 0.8.0
  * Drop all patches: Applied upstream
  * Add properly-initialize-AsNodeToXmlHelper.patch,
    validate-initialize-proxy-resolver.patch:
    - Fixes crashes as well as test issues
  * Depend on libcurl instead of libsoup
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Mon, 01 Aug 2022 22:58:56 +0200

=== debian/control ===
Source: appstream-glib
Section: admin
Priority: optional
Maintainer: PkgUtopia Team <team+pkgutopia-team@tracker.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper-compat (= 12),
               gcab,
               gobject-introspection,
               gperf,
               gtk-doc-tools,
               libarchive-dev,
               libcurl4-gnutls-dev | libcurl-dev (>= 7.62),
               libgcab-dev (>= 0.6),
               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
               libgirepository1.0-dev (>= 1.53),
               libglib2.0-dev (>= 2.58.0),
               libgtk-3-dev,
               libjson-glib-dev (>= 1.1.2),
               libstemmer-dev,
               libyaml-dev,
               meson (>= 0.40),
               uuid-dev,
               xmlto
Build-Depends-Indep: appstream-doc <!nodoc>,
                     libgdk-pixbuf2.0-doc <!nodoc>,
                     libglib2.0-doc <!nodoc>
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/hughsie/appstream-glib
Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream-glib.git
Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream-glib

Package: appstream-util
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: appdata-tools (<< 0.3.4)
Breaks: appdata-tools (<< 0.3.4)
Description: Utility to work with AppStream metadata
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 .
 This package provides an utility to work with AppStream metadata, which uses
 libappstream-glib.
 .
 It also contains Autotools macros to easily integrate AppStream metadata into
 an Autotools-based buildsystem, by running 'appstream-util' to validate the
 files before installing them.

Package: libappstream-glib8
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: GNOME library to access AppStream services
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 .
 This package contains a GObject-based library to read and write AppStream
 XML metadata and retrieve additional data such as screenshots.
 .
 As opposed to libappstream, this library does not use an on-disk cache but
 reads data directly from the XML or DEP-11 YAML files.

Package: libappstream-glib-dev
Architecture: any
Section: libdevel
Depends: gir1.2-appstreamglib-1.0 (= ${binary:Version}),
         libappstream-glib8 (= ${binary:Version}),
         libarchive-dev,
         libgcab-dev (>= 0.6),
         libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
         libglib2.0-dev (>= 2.58.0),
         libsoup2.4-dev (>= 2.52),
         libyaml-dev,
         uuid-dev,
         ${misc:Depends}
Multi-Arch: same
Description: GNOME library to access AppStream services (development files)
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 .
 This package contains development files necessary to develop
 tools which use the libappstream-glib library.

Package: gir1.2-appstreamglib-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: GObject introspection data for the libappstream-glib library
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 .
 This package contains introspection data for the libappstream-glib library.

Package: appstream-glib-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Description: Developer documentation for the libappstream-glib library
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 .
 This package provides developer documentation for the
 libappstream-glib library.

## appstream-glib 0.8.2

=== meson_options.txt ===
option('dep11', type : 'boolean', value : true, description : 'enable DEP-11')
option('builder', type : 'boolean', value : true, description : 'enable AppStream builder')
option('rpm', type : 'boolean', value : true, description : 'enable RPM support')
option('alpm', type : 'boolean', value : false, description : 'enable ALPM support')
option('fonts', type : 'boolean', value : true, description : 'enable font support')
option('stemmer', type : 'boolean', value : true, description : 'enable stemmer support')
option('man', type : 'boolean', value : true, description : 'generate man pages')
option('gtk-doc', type : 'boolean', value : false, description : 'generate API reference')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')

=== debian/changelog ===
appstream-glib (0.8.2-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version 0.8.2

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Matthias Klumpp <mak@debian.org>  Mon, 14 Nov 2022 18:54:22 +0100

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
                gtk-doc-tools,
                libarchive-dev,
                libcurl4-gnutls-dev | libcurl-dev (>= 7.62),
-               libgcab-dev (>= 0.6),
+               libgcab-dev,
                libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
-               libgirepository1.0-dev (>= 1.53),
-               libglib2.0-dev (>= 2.58.0),
+               libgirepository1.0-dev,
+               libglib2.0-dev,
                libgtk-3-dev,
-               libjson-glib-dev (>= 1.1.2),
+               libjson-glib-dev,
                libstemmer-dev,
                libyaml-dev,
-               meson (>= 0.40),
+               meson,
                uuid-dev,
                xmlto
 Build-Depends-Indep: appstream-doc <!nodoc>,
@@ -72,10 +72,10 @@
 Depends: gir1.2-appstreamglib-1.0 (= ${binary:Version}),
          libappstream-glib8 (= ${binary:Version}),
          libarchive-dev,
-         libgcab-dev (>= 0.6),
+         libgcab-dev,
          libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
-         libglib2.0-dev (>= 2.58.0),
-         libsoup2.4-dev (>= 2.52),
+         libglib2.0-dev,
+         libsoup2.4-dev,
          libyaml-dev,
          uuid-dev,
          ${misc:Depends}

## appstream-glib 0.8.3

=== meson_options.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 option('rpm', type : 'boolean', value : true, description : 'enable RPM support')
 option('alpm', type : 'boolean', value : false, description : 'enable ALPM support')
 option('fonts', type : 'boolean', value : true, description : 'enable font support')
-option('stemmer', type : 'boolean', value : true, description : 'enable stemmer support')
 option('man', type : 'boolean', value : true, description : 'generate man pages')
 option('gtk-doc', type : 'boolean', value : false, description : 'generate API reference')
 option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')

=== debian/changelog ===
appstream-glib (0.8.3-2) unstable; urgency=medium

  * Team upload
  * Remove unnecessary Build-Depends: libgirepository1.0-dev
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Oct 2025 13:50:28 -0400

appstream-glib (0.8.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 15:54:08 -0400

appstream-glib (0.8.2-2) unstable; urgency=medium

  * Team upload

  [ John Scott ]
  * Have libappstream-glib-dev suggest the documentation

  [ Jeremy Bícha ]
  * Remove obsolete Depends: libsoup2.4-dev (Closes: #1100918)
  * Remove obsolete Build-Depends: libgcab-dev
  * Remove alternative Build-Depends libgdk-pixbuf2.0-dev, libcurl-dev
  * Remove ancient Breaks/Replaces
  * Remove obsolete Pre-Depends
  * Bump debhelper compat to 13
  * Enable all hardening flags
  * Simplify debian/rules
  * Update gir handling
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 09:45:55 -0400

appstream-glib (0.8.2-1.1) unstable; urgency=medium

  * NMU upload
    Resolve FTBFS due to yaml mime content-type changes
    yaml_content_type.patch (Closes: #1057394)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 17 Mar 2024 10:50:27 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: PkgUtopia Team <team+pkgutopia-team@tracker.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
                gcab,
-               gobject-introspection,
+               gir1.2-gdkpixbuf-2.0-dev,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
                gperf,
                gtk-doc-tools,
                libarchive-dev,
-               libcurl4-gnutls-dev | libcurl-dev (>= 7.62),
-               libgcab-dev,
-               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
-               libgirepository1.0-dev,
+               libcurl4-gnutls-dev,
+               libgdk-pixbuf-2.0-dev,
                libglib2.0-dev,
                libgtk-3-dev,
                libjson-glib-dev,
@@ -24,8 +25,7 @@
 Build-Depends-Indep: appstream-doc <!nodoc>,
                      libgdk-pixbuf2.0-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/hughsie/appstream-glib
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream-glib.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream-glib
@@ -34,8 +34,6 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Replaces: appdata-tools (<< 0.3.4)
-Breaks: appdata-tools (<< 0.3.4)
 Description: Utility to work with AppStream metadata
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
@@ -52,7 +50,6 @@
 Architecture: any
 Section: libs
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: GNOME library to access AppStream services
@@ -72,13 +69,14 @@
 Depends: gir1.2-appstreamglib-1.0 (= ${binary:Version}),
          libappstream-glib8 (= ${binary:Version}),
          libarchive-dev,
-         libgcab-dev,
-         libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
+         libgdk-pixbuf-2.0-dev,
          libglib2.0-dev,
-         libsoup2.4-dev,
          libyaml-dev,
          uuid-dev,
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides},
+Suggests: appstream-glib-doc
 Multi-Arch: same
 Description: GNOME library to access AppStream services (development files)
  AppStream is a cross-distribution effort for creating and sharing

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

AS_CONFIGURE_ARGS = -Ddep11=true \
		-Dbuilder=false \
		-Drpm=false \
		-Dalpm=false \
		-Dman=true \
		-Dgtk-doc=true \
		-Dintrospection=true

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(AS_CONFIGURE_ARGS)

=== debian/watch ===
version=4

https://people.freedesktop.org/~hughsient/appstream-glib/releases/appstream-glib-([\d\.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
